## org.eclipse.datatools.modelbase.sql.query.util
Class SQLComment

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.query.util.SQLComment

public class SQLComment
extends java.lang.Object

Author:
  ckadner TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`static int` `COMMENT_POSITION_LINE_END`
`static int` `COMMENT_POSITION_NEXT_LINE`
`static int` `COMMENT_POSITION_PREV_LINE`

Constructor Summary
`SQLComment()` Empty constructor.
`SQLComment(java.lang.String text, int relativePosition, boolean isMultiLineComment)`

Method Summary
`int` `getRelativePosition()`
`SQLQuerySourceInfo` `getSourceInfo()`
`java.lang.String` `getText()`
`boolean` `isMultiLineComment()`
`void` `setMultiLineComment(boolean isMultiLineComment)`
`void` `setRelativePosition(int relativePosition)`
`void` `setSourceInfo(SQLQuerySourceInfo sourceInfo)`
`void` `setText(java.lang.String text)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMENT_POSITION_LINE_END

    public static final int COMMENT_POSITION_LINE_END

See Also:
  Constant Field Values

### COMMENT_POSITION_PREV_LINE

    public static final int COMMENT_POSITION_PREV_LINE

See Also:
  Constant Field Values

### COMMENT_POSITION_NEXT_LINE

    public static final int COMMENT_POSITION_NEXT_LINE

See Also:
  Constant Field Values

Constructor Detail

### SQLComment

    public SQLComment()

  Empty constructor.

### SQLComment

    public SQLComment(java.lang.String text,
                      int relativePosition,
                      boolean isMultiLineComment)

Parameters:
  `text` -
  `relativePosition` - default is `COMMENT_POSITION_LINE_END`
  `isMultiLineComment` -

Method Detail

### isMultiLineComment

    public boolean isMultiLineComment()

  Returns:
    Returns the isMultiLineComment.

### setMultiLineComment

    public void setMultiLineComment(boolean isMultiLineComment)

  Parameters:
    `isMultiLineComment` - The isMultiLineComment to set.

### getText

    public java.lang.String getText()

  Returns:
    Returns the text.

### setText

    public void setText(java.lang.String text)

  Parameters:
    `text` - The text to set.

### getRelativePosition

    public int getRelativePosition()

  Returns:
    Returns the relativePosition.

### setRelativePosition

    public void setRelativePosition(int relativePosition)

  Parameters:
    `relativePosition` - The relativePosition to set.

### getSourceInfo

    public SQLQuerySourceInfo getSourceInfo()

  Returns:
    Returns the sourceInfo.

### setSourceInfo

    public void setSourceInfo(SQLQuerySourceInfo sourceInfo)

  Parameters:
    `sourceInfo` - The sourceInfo to set.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.